DO $$ 
	DECLARE _path character varying(256) = 'patch-2024-08-13-AccessTokens_Ip';

	BEGIN
		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path"=_path) THEN
			RETURN;
		END IF;

		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=14242) THEN
			RETURN;
		END IF;

		BEGIN
            		ALTER TABLE public."AccessTokens" ALTER column "Ip" TYPE character varying(1024);
 			INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);
			EXCEPTION
				WHEN OTHERS THEN RAISE NOTICE '[ERR] patch-2024-08-13-AccessTokens_Ip: %', SQLERRM;
		END;
	END;
$$